![Typing SVG](https://readme-typing-svg.demolab.com?font=Pacifico&weight=700&size=50&duration=3500&pause=1000&color=FF4081&center=true&vCenter=true&width=900&lines=Welcome+to+Rupi+Library!;Made+with+❤️+by+Tanujairam)  

# Rupi Library 🌀  
[![PyPI Version](https://img.shields.io/pypi/v/rupi)](https://pypi.org/project/rupi/)   
[![Python Versions](https://img.shields.io/pypi/pyversions/rupi)](https://pypi.org/project/rupi/)  
![Downloads](https://img.shields.io/pypi/dm/rupi?color=blue&label=Downloads&style=flat-square)   

---

**Rupi** is a lightweight Python library that combines algorithm-based logic and GUI tools to create a fun and interactive Python experience.  


## 🌟 Features  

- **FLAMES Game:** Discover relationship compatibility with a fun twist!  
- **XO (Tic-Tac-Toe):** Play a GUI-based Tic-Tac-Toe game with your friends.  
- **Chess (Beta):** A casual GUI Chess experience for players looking for a simple game.  


## 🔧 Installation  

Install the library directly from [PyPI](https://pypi.org/project/rupi/):  
```bash
pip install rupi
```  

Upgrade to the latest version:  
```bash
pip install --upgrade rupi
```  

---

## 📜 Usage  

### 🔥 FLAMES Game  
```python
from rupi import flames

# Interactive mode
flames()

# Quick result mode
result = flames("Alice", "Bob")
print("Relationship result:", result)
```  


### ❌⭕ Tic-Tac-Toe (XO)  
```python
from rupi import xo

# Launch the XO game
xo()
```  


### ♟️ Chess (Beta)  
```python
from rupi import chess

# Launch the Chess game
chess()
```  

---

## 📚 About  

Rupi Library includes:  
- **FLAMES Game:** Find relationship compatibility with an exciting twist.  
- **XO Game:** A GUI-based Tic-Tac-Toe game for two players.  
- **Chess Game (Beta):** A GUI Chess experience for casual players.

Author: **Tanujairam**  
Email: [tanujairam.v@gmail.com](mailto:tanujairam.v@gmail.com)  
PyPI: [Rupi on PyPI](https://pypi.org/project/rupi/)  


![Yet another script kid](https://readme-typing-svg.demolab.com?font=Pacifico&weight=700&size=30&pause=1000&color=009688&width=450&lines=Yet+another+script+kid+😏.)  
---

## 🛠️ Development  

Want to contribute or modify the library? Clone the repository:  
```bash
git clone https://github.com/TanujairamV/rupi.git
cd rupi
```  

Run individual scripts locally:  
```bash
python -m rupi.flames
python -m rupi.xo
python -m rupi.chess_game
```  

---

## 📝 License  

This project is licensed under the **MIT License**.  

### MIT License  

```plaintext  
MIT License  

Copyright (c) 2024 Tanujairam  

Permission is hereby granted, free of charge, to any person obtaining a copy  
of this software and associated documentation files (the "Software"), to deal  
in the Software without restriction, including without limitation the rights  
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell  
copies of the Software, and to permit persons to whom the Software is  
furnished to do so, subject to the following conditions:  

The above copyright notice and this permission notice shall be included in all  
copies or substantial portions of the Software.  

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR  
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,  
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE  
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER  
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,  
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE  
SOFTWARE.  
```  

---

![Contributing SVG](https://readme-typing-svg.demolab.com?font=Pacifico&weight=700&size=30&duration=2500&pause=1000&color=FBC02D&width=500&lines=Contributions+are+Welcome!+%F0%9F%91%8D)  
